Name:          els
Version:       1.55d1
Release:       0%{dist}.3sunshine
Summary:       Enhanced ls
URL:           http://els-software.org/
Source0:       http://els-software.org/els/release/%{name}-%{version}.tar.gz
Patch0:        els-1.51d2-DESTDIR.patch
Group:         Applications/File
License:       MIT
BuildRequires: gcc

%description
ELS is an Extensible LS work-alike with many additional features.

%prep
%setup -q
%patch -P 0 -p1 -b .destdir

%build
make %{?_smp_mflags} CFLAGS="%{optflags}" BINDIR=%{_bindir} MANDIR=%{_mandir}/man1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} BINDIR=%{_bindir} MANDIR=%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc CHANGE_LOG NEWS TECH_NOTES USER_GUIDE
%{_bindir}/%{name}
%{_bindir}/chdate
%{_bindir}/edate
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/chdate.1*
%{_mandir}/man1/edate.1*

%changelog
* Sat Oct 12 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 1.55d1-0.1sunshine
- update to 1.55d1
- drop $CC alternatives
- drop patch for multiple symbols

* Fri Dec 03 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 1.54a1-0.3sunshine
- add a patch to fix multiple symbols in object files (gcc 10+)

* Tue Jul 17 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 1.54a1-0.2sunshine
- add BR: gcc
- drop BuildRoot

* Mon Jun 05 2017 Moritz Barsnick <moritz+rpm@barsnick.net> 1.54a1-0.1sunshine
- update to 1.54a1

* Mon Oct 05 2015 Moritz Barsnick <moritz+rpm@barsnick.net> 1.52a3-0.1sunshine
- update to 1.52a3

* Thu Aug 06 2015 Moritz Barsnick <moritz+rpm@barsnick.net> 1.51e1-0.1sunshine
- update to 1.51e1

* Mon Jul 20 2015 Moritz Barsnick <moritz+rpm@barsnick.net> 1.51d2-0.1sunshine
- initial RPM
- add a patch for support of $DESTDIR and for preservation of date
